/*  
 * Actipro Software's WPF DataGrid Contrib Add-on
 * http://actipro.codeplex.com/
 * 
 * Copyright (c) 2009-2013 Actipro Software LLC. 
 *  
 * This source code is subject to the terms of the Microsoft Public License (Ms-PL). 
 *  
 * Redistribution and use in source and binary forms, with or without modification, 
 * is permitted provided that redistributions of the source code retain the above 
 * copyright notices and this file header. 
 *  
 * Additional copyright notices should be appended to the list above. 
 * 
 * For details, see <http://www.opensource.org/licenses/ms-pl.html>. 
 *  
 * All other rights reserved. 
 *
 */  

using System;
using System.Windows.Controls.Primitives;

namespace ActiproSoftware.Windows.Controls.DataGrid {

	/// <summary>
	/// Specifies the various tracking modes available by the <see cref="FocusBehavior"/>.
	/// </summary>
	[Flags]
	public enum FocusTrackingModes {

		/// <summary>
		/// Indicates that the focus will not be tracked.
		/// </summary>
		None = 0x00,

		/// <summary>
		/// Indicates <see cref="DataGridColumnHeader"/> focus will be tracked.
		/// </summary>
		Headers = 0x01,

		/// <summary>
		/// Indicates that all available types will be tracked.
		/// </summary>
		All = Headers
	}
}
