/*  
 * Actipro Software's WPF DataGrid Contrib Add-on
 * http://actipro.codeplex.com/
 * 
 * Copyright (c) 2009-2013 Actipro Software LLC. 
 *  
 * This source code is subject to the terms of the Microsoft Public License (Ms-PL). 
 *  
 * Redistribution and use in source and binary forms, with or without modification, 
 * is permitted provided that redistributions of the source code retain the above 
 * copyright notices and this file header. 
 *  
 * Additional copyright notices should be appended to the list above. 
 * 
 * For details, see <http://www.opensource.org/licenses/ms-pl.html>. 
 *  
 * All other rights reserved. 
 *
 */  

using System;
using System.Windows.Controls;
using DataGridControl = System.Windows.Controls.DataGrid;
using System.Diagnostics.CodeAnalysis;
using System.Windows;
using System.Windows.Data;

namespace ActiproSoftware.Windows.Controls.DataGrid {

	/// <summary>
	/// Represents a <see cref="DataGridControl"/> that uses custom themes and integrates into the Actipro theme manager.
	/// </summary>
	public class ThemedDataGrid : DataGridControl {

		/////////////////////////////////////////////////////////////////////////////////////////////////////
		#region OBJECT
		/////////////////////////////////////////////////////////////////////////////////////////////////////

		/// <summary>
		/// Initializes the <see cref="ThemedDataGrid"/> class.
		/// </summary>
		static ThemedDataGrid() {
			DefaultStyleKeyProperty.OverrideMetadata(typeof(ThemedDataGrid), new FrameworkPropertyMetadata(typeof(ThemedDataGrid)));
		}

		#endregion // OBJECT
	}
}