/*  
 * Actipro Software's WPF DataGrid Contrib Add-on
 * http://actipro.codeplex.com/
 * 
 * Copyright (c) 2009-2013 Actipro Software LLC. 
 *  
 * This source code is subject to the terms of the Microsoft Public License (Ms-PL). 
 *  
 * Redistribution and use in source and binary forms, with or without modification, 
 * is permitted provided that redistributions of the source code retain the above 
 * copyright notices and this file header. 
 *  
 * Additional copyright notices should be appended to the list above. 
 * 
 * For details, see <http://www.opensource.org/licenses/ms-pl.html>. 
 *  
 * All other rights reserved. 
 *
 */

using System;
using System.Collections.Generic;
using System.Reflection;

namespace ActiproSoftware.Windows.Themes {

	/// <summary>
	/// A theme catalog that describes the theme group name implementations and available themed resource dictionaries within this assembly.
	/// </summary>
	public class DataGridThemeCatalog : SystemThemeCatalogBase {

		/////////////////////////////////////////////////////////////////////////////////////////////////////
		#region PUBLIC PROCEDURES
		/////////////////////////////////////////////////////////////////////////////////////////////////////

		/// <summary>
		/// Gets the collection of <see cref="ThemedResourceDictionaryReference"/> objects for the assembly.
		/// </summary>
		/// <value>
		/// The collection of <see cref="ThemedResourceDictionaryReference"/> objects for the assembly.
		/// </value>
		public override IEnumerable<ThemedResourceDictionaryReference> DictionaryReferences {
			get {
				// No references
				return null;
			}
		}

		#endregion // PUBLIC PROCEDURES
	}

}
