/*  
 * Actipro Software's WPF Docking & MDI / Prism Integration Add-on
 * http://actipro.codeplex.com/
 * 
 * Copyright (c) 2009-2013 Actipro Software LLC. 
 *  
 * This source code is subject to the terms of the Microsoft Public License (Ms-PL). 
 *  
 * Redistribution and use in source and binary forms, with or without modification, 
 * is permitted provided that redistributions of the source code retain the above 
 * copyright notices and this file header. 
 *  
 * Additional copyright notices should be appended to the list above. 
 * 
 * For details, see <http://www.opensource.org/licenses/ms-pl.html>. 
 *  
 * All other rights reserved. 
 *
 */  

using System;

namespace ActiproSoftware.Windows.Prism.Regions {

	/// <summary>
	/// Indicates the various item types supported by <see cref="DockSiteRegionAdapter"/>.
	/// </summary>
	internal enum DockSiteRegionViewType {

		/// <summary>
		/// Indicates the views are documents.
		/// </summary>
		Document,
		
		/// <summary>
		/// Indicates the view are tools.
		/// </summary>
		Tool,

		/// <summary>
		/// Indicates the views can be documents or tools.
		/// </summary>
		Both,
	}
}
