/*  
 * Actipro Software's WPF Docking & MDI / Prism Integration Add-on
 * http://actipro.codeplex.com/
 * 
 * Copyright (c) 2009-2013 Actipro Software LLC. 
 *  
 * This source code is subject to the terms of the Microsoft Public License (Ms-PL). 
 *  
 * Redistribution and use in source and binary forms, with or without modification, 
 * is permitted provided that redistributions of the source code retain the above 
 * copyright notices and this file header. 
 *  
 * Additional copyright notices should be appended to the list above. 
 * 
 * For details, see <http://www.opensource.org/licenses/ms-pl.html>. 
 *  
 * All other rights reserved. 
 *
 */  

using System.Windows.Controls;
using ActiproSoftware.Windows.Controls.Docking;

namespace ActiproSoftware.Windows.Prism.Regions {

	/// <summary>
	/// Specifies the minimum requirements for a <see cref="DockingWindow"/> initializer.
	/// </summary>
	public interface IDockingWindowInitializer {

		/// <summary>
		/// Initializes the specified docking window with any associated metadata.
		/// </summary>
		/// <param name="dockingWindow">The docking window that should be initialized.</param>
		/// <param name="item">The associated item.</param>
		void Initialize(DockingWindow dockingWindow, object item);

		/// <summary>
		/// Open the specified docking window with any associated metadata.
		/// </summary>
		/// <param name="dockingWindow">The docking window that should be opened.</param>
		/// <param name="item">The associated item.</param>
		void Open(DockingWindow dockingWindow, object item);

	}
}